%               Copyright (C) 2017 Joel Wraith

%This program is free software: you can redistribute it and/or modify it 
%under the terms of the GNU General Public License as published by the 
%Free Software Foundation, either version 3 of the License, or 
%(at your option) any later version.

%This program is distributed in the hope that it will be useful,
%but WITHOUT ANY WARRANTY; without even the implied warranty of
%MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%GNU General Public License for more details.

%You should have received a copy of the GNU General Public License
%along with this program.  If not, see <http://www.gnu.org/licenses/>.

imageFiles = dir('Z:\temp\*.png');
picNumber = length(imageFiles);

imageStack = zeros(picNumber, 512, 512);

for ii = 1:picNumber
    imageStack(ii,:,:) = rgb2gray(imread(strcat('Z:\temp\',imageFiles(ii).name)));
end

im = uint8(squeeze(median(imageStack)));

imwrite(im, 'images/background.png');